<!DOCTYPE html>
<html lang="en">
 <head>
  <meta charset="UTF-8">
  <title>Dashboard for /home/ubuntu/Documents/MSPR/MAINTANTE_EVOLUTION/opendata-api/sources/src</title>
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href="_css/bootstrap.min.css" rel="stylesheet" type="text/css">
  <link href="_css/nv.d3.min.css" rel="stylesheet" type="text/css">
  <link href="_css/style.css" rel="stylesheet" type="text/css">
  <link href="_css/custom.css" rel="stylesheet" type="text/css">
 </head>
 <body>
  <header>
   <div class="container-fluid">
    <div class="row">
     <div class="col-md-12">
      <nav aria-label="breadcrumb">
       <ol class="breadcrumb">
         <li class="breadcrumb-item"><a href="index.html">/home/ubuntu/Documents/MSPR/MAINTANTE_EVOLUTION/opendata-api/sources/src</a></li>
         <li class="breadcrumb-item active">(Dashboard)</li>

       </ol>
      </nav>
     </div>
    </div>
   </div>
  </header>
  <div class="container-fluid">
   <div class="row">
    <div class="col-md-12">
     <h2>Classes</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="classCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="classComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Controller/HomeController.php.html#19">App\Controller\HomeController</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controller/ImportController.php.html#17">App\Controller\ImportController</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controller/RegistrationController.php.html#13">App\Controller\RegistrationController</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Data.php.html#11">App\Entity\Data</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Upload.php.html#7">App\Entity\Upload</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/User.php.html#14">App\Entity\User</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Form/RegistrationFormType.php.html#15">App\Form\RegistrationFormType</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Form/UploadType.php.html#12">App\Form\UploadType</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/Import/ImportDataFromCsv.php.html#9">App\Services\Import\ImportDataFromCsv</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/Import/ImportDataFromXml.php.html#10">App\Services\Import\ImportDataFromXml</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/Import/ImportService.php.html#8">App\Services\Import\ImportService</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controller/SecurityController.php.html#10">App\Controller\SecurityController</a></td><td class="text-right">75%</td></tr>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Controller/ImportController.php.html#17">App\Controller\ImportController</a></td><td class="text-right">30</td></tr>
       <tr><td><a href="Services/Import/ImportDataFromCsv.php.html#9">App\Services\Import\ImportDataFromCsv</a></td><td class="text-right">20</td></tr>
       <tr><td><a href="Controller/RegistrationController.php.html#13">App\Controller\RegistrationController</a></td><td class="text-right">12</td></tr>
       <tr><td><a href="Services/Import/ImportDataFromXml.php.html#10">App\Services\Import\ImportDataFromXml</a></td><td class="text-right">12</td></tr>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-12">
     <h2>Methods</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="methodCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="methodComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Controller/HomeController.php.html#25"><abbr title="App\Controller\HomeController::index">index</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controller/ImportController.php.html#22"><abbr title="App\Controller\ImportController::index">index</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controller/RegistrationController.php.html#18"><abbr title="App\Controller\RegistrationController::register">register</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controller/SecurityController.php.html#28"><abbr title="App\Controller\SecurityController::logout">logout</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Data.php.html#35"><abbr title="App\Entity\Data::getId">getId</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Data.php.html#40"><abbr title="App\Entity\Data::getName">getName</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Data.php.html#45"><abbr title="App\Entity\Data::setName">setName</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Data.php.html#52"><abbr title="App\Entity\Data::getUniqueId">getUniqueId</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Data.php.html#57"><abbr title="App\Entity\Data::setUniqueId">setUniqueId</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Data.php.html#64"><abbr title="App\Entity\Data::getValue">getValue</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Data.php.html#69"><abbr title="App\Entity\Data::setValue">setValue</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Upload.php.html#13"><abbr title="App\Entity\Upload::getId">getId</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Upload.php.html#18"><abbr title="App\Entity\Upload::getName">getName</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Upload.php.html#23"><abbr title="App\Entity\Upload::setName">setName</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/User.php.html#39"><abbr title="App\Entity\User::getId">getId</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/User.php.html#44"><abbr title="App\Entity\User::getEmail">getEmail</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/User.php.html#49"><abbr title="App\Entity\User::setEmail">setEmail</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/User.php.html#61"><abbr title="App\Entity\User::getUsername">getUsername</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/User.php.html#69"><abbr title="App\Entity\User::getRoles">getRoles</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/User.php.html#78"><abbr title="App\Entity\User::setRoles">setRoles</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/User.php.html#88"><abbr title="App\Entity\User::getPassword">getPassword</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/User.php.html#93"><abbr title="App\Entity\User::setPassword">setPassword</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/User.php.html#103"><abbr title="App\Entity\User::getSalt">getSalt</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/User.php.html#111"><abbr title="App\Entity\User::eraseCredentials">eraseCredentials</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Form/RegistrationFormType.php.html#17"><abbr title="App\Form\RegistrationFormType::buildForm">buildForm</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Form/RegistrationFormType.php.html#48"><abbr title="App\Form\RegistrationFormType::configureOptions">configureOptions</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Form/UploadType.php.html#14"><abbr title="App\Form\UploadType::buildForm">buildForm</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Form/UploadType.php.html#31"><abbr title="App\Form\UploadType::configureOptions">configureOptions</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/Import/ImportDataFromCsv.php.html#11"><abbr title="App\Services\Import\ImportDataFromCsv::importData">importData</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/Import/ImportDataFromXml.php.html#12"><abbr title="App\Services\Import\ImportDataFromXml::importData">importData</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/Import/ImportService.php.html#12"><abbr title="App\Services\Import\ImportService::setImportFileStrategy">setImportFileStrategy</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/Import/ImportService.php.html#17"><abbr title="App\Services\Import\ImportService::getFileExtension">getFileExtension</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Services/Import/ImportService.php.html#22"><abbr title="App\Services\Import\ImportService::importData">importData</abbr></a></td><td class="text-right">0%</td></tr>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Controller/ImportController.php.html#22"><abbr title="App\Controller\ImportController::index">index</abbr></a></td><td class="text-right">30</td></tr>
       <tr><td><a href="Services/Import/ImportDataFromCsv.php.html#11"><abbr title="App\Services\Import\ImportDataFromCsv::importData">importData</abbr></a></td><td class="text-right">20</td></tr>
       <tr><td><a href="Controller/RegistrationController.php.html#18"><abbr title="App\Controller\RegistrationController::register">register</abbr></a></td><td class="text-right">12</td></tr>
       <tr><td><a href="Services/Import/ImportDataFromXml.php.html#12"><abbr title="App\Services\Import\ImportDataFromXml::importData">importData</abbr></a></td><td class="text-right">12</td></tr>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <footer>
    <hr/>
    <p>
     <small>Generated by <a href="https://github.com/sebastianbergmann/php-code-coverage" target="_top">php-code-coverage 9.2.5</a> using <a href="https://secure.php.net/" target="_top">PHP 8.0.2</a> with <a href="https://xdebug.org/">Xdebug 3.0.2</a> and <a href="https://phpunit.de/">PHPUnit 9.5.2</a> at Mon Feb 22 16:45:33 UTC 2021.</small>
    </p>
   </footer>
  </div>
  <script src="_js/jquery.min.js" type="text/javascript"></script>
  <script src="_js/d3.min.js" type="text/javascript"></script>
  <script src="_js/nv.d3.min.js" type="text/javascript"></script>
  <script type="text/javascript">
$(document).ready(function() {
  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#classCoverageDistribution svg')
      .datum(getCoverageDistributionData([11,0,0,0,0,0,0,0,1,0,0,0], "Class Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#methodCoverageDistribution svg')
      .datum(getCoverageDistributionData([33,0,0,0,0,0,0,0,0,0,0,1], "Method Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getCoverageDistributionData(data, label) {
    var labels = [
      '0%',
      '0-10%',
      '10-20%',
      '20-30%',
      '30-40%',
      '40-50%',
      '50-60%',
      '60-70%',
      '70-80%',
      '80-90%',
      '90-100%',
      '100%'
    ];
    var values = [];
    $.each(labels, function(key) {
      values.push({x: labels[key], y: data[key]});
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Cyclomatic Complexity');

    d3.select('#classComplexity svg')
      .datum(getComplexityData([[0,1,"<a href=\"Controller\/HomeController.php.html#19\">App\\Controller\\HomeController<\/a>"],[0,5,"<a href=\"Controller\/ImportController.php.html#17\">App\\Controller\\ImportController<\/a>"],[0,3,"<a href=\"Controller\/RegistrationController.php.html#13\">App\\Controller\\RegistrationController<\/a>"],[75,2,"<a href=\"Controller\/SecurityController.php.html#10\">App\\Controller\\SecurityController<\/a>"],[0,7,"<a href=\"Entity\/Data.php.html#11\">App\\Entity\\Data<\/a>"],[0,3,"<a href=\"Entity\/Upload.php.html#7\">App\\Entity\\Upload<\/a>"],[0,10,"<a href=\"Entity\/User.php.html#14\">App\\Entity\\User<\/a>"],[0,2,"<a href=\"Form\/RegistrationFormType.php.html#15\">App\\Form\\RegistrationFormType<\/a>"],[0,2,"<a href=\"Form\/UploadType.php.html#12\">App\\Form\\UploadType<\/a>"],[0,4,"<a href=\"Services\/Import\/ImportDataFromCsv.php.html#9\">App\\Services\\Import\\ImportDataFromCsv<\/a>"],[0,3,"<a href=\"Services\/Import\/ImportDataFromXml.php.html#10\">App\\Services\\Import\\ImportDataFromXml<\/a>"],[0,3,"<a href=\"Services\/Import\/ImportService.php.html#8\">App\\Services\\Import\\ImportService<\/a>"]], 'Class Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Method Complexity');

    d3.select('#methodComplexity svg')
      .datum(getComplexityData([[0,1,"<a href=\"Controller\/HomeController.php.html#25\">App\\Controller\\HomeController::index<\/a>"],[0,5,"<a href=\"Controller\/ImportController.php.html#22\">App\\Controller\\ImportController::index<\/a>"],[0,3,"<a href=\"Controller\/RegistrationController.php.html#18\">App\\Controller\\RegistrationController::register<\/a>"],[100,1,"<a href=\"Controller\/SecurityController.php.html#15\">App\\Controller\\SecurityController::login<\/a>"],[0,1,"<a href=\"Controller\/SecurityController.php.html#28\">App\\Controller\\SecurityController::logout<\/a>"],[0,1,"<a href=\"Entity\/Data.php.html#35\">App\\Entity\\Data::getId<\/a>"],[0,1,"<a href=\"Entity\/Data.php.html#40\">App\\Entity\\Data::getName<\/a>"],[0,1,"<a href=\"Entity\/Data.php.html#45\">App\\Entity\\Data::setName<\/a>"],[0,1,"<a href=\"Entity\/Data.php.html#52\">App\\Entity\\Data::getUniqueId<\/a>"],[0,1,"<a href=\"Entity\/Data.php.html#57\">App\\Entity\\Data::setUniqueId<\/a>"],[0,1,"<a href=\"Entity\/Data.php.html#64\">App\\Entity\\Data::getValue<\/a>"],[0,1,"<a href=\"Entity\/Data.php.html#69\">App\\Entity\\Data::setValue<\/a>"],[0,1,"<a href=\"Entity\/Upload.php.html#13\">App\\Entity\\Upload::getId<\/a>"],[0,1,"<a href=\"Entity\/Upload.php.html#18\">App\\Entity\\Upload::getName<\/a>"],[0,1,"<a href=\"Entity\/Upload.php.html#23\">App\\Entity\\Upload::setName<\/a>"],[0,1,"<a href=\"Entity\/User.php.html#39\">App\\Entity\\User::getId<\/a>"],[0,1,"<a href=\"Entity\/User.php.html#44\">App\\Entity\\User::getEmail<\/a>"],[0,1,"<a href=\"Entity\/User.php.html#49\">App\\Entity\\User::setEmail<\/a>"],[0,1,"<a href=\"Entity\/User.php.html#61\">App\\Entity\\User::getUsername<\/a>"],[0,1,"<a href=\"Entity\/User.php.html#69\">App\\Entity\\User::getRoles<\/a>"],[0,1,"<a href=\"Entity\/User.php.html#78\">App\\Entity\\User::setRoles<\/a>"],[0,1,"<a href=\"Entity\/User.php.html#88\">App\\Entity\\User::getPassword<\/a>"],[0,1,"<a href=\"Entity\/User.php.html#93\">App\\Entity\\User::setPassword<\/a>"],[0,1,"<a href=\"Entity\/User.php.html#103\">App\\Entity\\User::getSalt<\/a>"],[0,1,"<a href=\"Entity\/User.php.html#111\">App\\Entity\\User::eraseCredentials<\/a>"],[0,1,"<a href=\"Form\/RegistrationFormType.php.html#17\">App\\Form\\RegistrationFormType::buildForm<\/a>"],[0,1,"<a href=\"Form\/RegistrationFormType.php.html#48\">App\\Form\\RegistrationFormType::configureOptions<\/a>"],[0,1,"<a href=\"Form\/UploadType.php.html#14\">App\\Form\\UploadType::buildForm<\/a>"],[0,1,"<a href=\"Form\/UploadType.php.html#31\">App\\Form\\UploadType::configureOptions<\/a>"],[0,4,"<a href=\"Services\/Import\/ImportDataFromCsv.php.html#11\">App\\Services\\Import\\ImportDataFromCsv::importData<\/a>"],[0,3,"<a href=\"Services\/Import\/ImportDataFromXml.php.html#12\">App\\Services\\Import\\ImportDataFromXml::importData<\/a>"],[0,1,"<a href=\"Services\/Import\/ImportService.php.html#12\">App\\Services\\Import\\ImportService::setImportFileStrategy<\/a>"],[0,1,"<a href=\"Services\/Import\/ImportService.php.html#17\">App\\Services\\Import\\ImportService::getFileExtension<\/a>"],[0,1,"<a href=\"Services\/Import\/ImportService.php.html#22\">App\\Services\\Import\\ImportService::importData<\/a>"]], 'Method Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getComplexityData(data, label) {
    var values = [];
    $.each(data, function(key) {
      var value = Math.round(data[key][0]*100) / 100;
      values.push({
        x: value,
        y: data[key][1],
        class: data[key][2],
        size: 0.05,
        shape: 'diamond'
      });
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
});
  </script>
 </body>
</html>
